Proxy.Type (Java SE 11 & JDK 11 )
Keywords: java.net.Proxy.Type class

Module java.base
Package java.net

## Enum Proxy.Type

- java.lang.Object
- - java.lang.Enum<Proxy.Type>
  - - java.net.Proxy.Type

- All Implemented Interfaces:
    `Serializable`, `Comparable<Proxy.Type>`
  Enclosing class:
    Proxy

      public static enum Proxy.Type
      extends Enum<Proxy.Type>

  Represents the proxy type.
  Since:
    1.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DIRECT` | Represents a direct connection, or the absence of a proxy.
    `HTTP` | Represents proxy for high level protocols such as HTTP or FTP.
    `SOCKS` | Represents a SOCKS (V4 or V5) proxy.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Proxy.Type` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static Proxy.Type[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIRECT

          public static final Proxy.Type DIRECT

      Represents a direct connection, or the absence of a proxy.

    - #### HTTP

          public static final Proxy.Type HTTP

      Represents proxy for high level protocols such as HTTP or FTP.

    - #### SOCKS

          public static final Proxy.Type SOCKS

      Represents a SOCKS (V4 or V5) proxy.

  - ### Method Detail

    - #### values

          public static Proxy.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Proxy.Type c : Proxy.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Proxy.Type valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null